## ros-kinetic-rosbag-storage 1.12.17

=== debian/changelog ===
ros-kinetic-rosbag-storage (1.12.17-1xenial) xenial; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Contributors: Jacob Perron, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 26 Oct 2020 07:00:00 -0000

ros-kinetic-rosbag-storage (1.12.16-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Aug 2020 07:00:00 -0000

ros-kinetic-rosbag-storage (1.12.15-1xenial) xenial; urgency=high

  * fix brief description comments after members (#1920 <https://github.com/ros/ros_comm/issues/1920>)
  * check for fclose returning 0 in rosbag_storage (#1750 <https://github.com/ros/ros_comm/issues/1750>)
  * fix infinite loop in rosbag buffer resize (#1623 <https://github.com/ros/ros_comm/issues/1623>)
  * add rosbag::Bag::isOpen (#1190 <https://github.com/ros/ros_comm/issues/1190>) (#1789 <https://github.com/ros/ros_comm/issues/1789>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Aug 2020 07:00:00 -0000

ros-kinetic-rosbag-storage (1.12.14-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Aug 2018 07:00:00 -0000

ros-kinetic-rosbag-storage (1.12.13-1xenial) xenial; urgency=high

  * performance improvement for lower/upper bound (#1223 <https://github.com/ros/ros_comm/issues/1223>)
  * place console_bridge macros definition in header and use it everywhere console_bridge is included (#1238 <https://github.com/ros/ros_comm/issues/1238>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 Feb 2018 08:00:00 -0000

ros-kinetic-rosbag-storage (1.12.12-1xenial) xenial; urgency=high

  * backward compatibility with libconsole-bridge in Jessie (take 3) (#1235 <https://github.com/ros/ros_comm/issues/1235>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Nov 2017 08:00:00 -0000

ros-kinetic-rosbag-storage (1.12.11-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Nov 2017 08:00:00 -0000

ros-kinetic-rosbag-storage (1.12.10-1xenial) xenial; urgency=high

  * fix compatibility with libconsole-bridge in Jessie, take 2

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rosbag-storage (1.12.9-1xenial) xenial; urgency=high

  * fix compatibility with libconsole-bridge in Jessie (#1219 <https://github.com/ros/ros_comm/issues/1219>, regression from 1.12.8)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rosbag-storage (1.12.8-1xenial) xenial; urgency=high

  * check if bzfile_ and lz4s_ handle is valid before reading/writing/closing (#1183 <https://github.com/ros/ros_comm/issues/1183>)
  * fix an out of bounds read in rosbag::View::iterator::increment() (#1191 <https://github.com/ros/ros_comm/issues/1191>)
  * replace usage deprecated console_bridge macros (#1149 <https://github.com/ros/ros_comm/issues/1149>)
  * fix whitespace warnings with g++ 7 (#1138 <https://github.com/ros/ros_comm/issues/1138>)
  * remove deprecated dynamic exception specifications (#1137 <https://github.com/ros/ros_comm/issues/1137>)
  * fix buffer overflow vulnerability (#1092 <https://github.com/ros/ros_comm/issues/1092>)
  * fix rosbag::View::iterator copy assignment operator (#1017 <https://github.com/ros/ros_comm/issues/1017>)
  * fix open mode on Windows (#1005 <https://github.com/ros/ros_comm/pull/1005>)
  * add swap function instead of copy constructor / assignment operator for rosbag::Bag (#1000 <https://github.com/ros/ros_comm/issues/1000>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Nov 2017 08:00:00 -0000

ros-kinetic-rosbag-storage (1.12.7-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-kinetic-rosbag-storage (1.12.6-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 26 Oct 2016 07:00:00 -0000

ros-kinetic-rosbag-storage (1.12.5-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 30 Sep 2016 07:00:00 -0000

ros-kinetic-rosbag-storage (1.12.4-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-kinetic-rosbag-storage (1.12.3-1xenial) xenial; urgency=high

  * make Bag constructor explicit (#835 <https://github.com/ros/ros_comm/pull/835>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 17 Sep 2016 07:00:00 -0000

ros-kinetic-rosbag-storage (1.12.2-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Jun 2016 07:00:00 -0000

ros-kinetic-rosbag-storage (1.12.1-1xenial) xenial; urgency=high

  * use directory specific compiler flags (#785 <https://github.com/ros/ros_comm/pull/785>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-kinetic-rosbag-storage (1.12.0-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Mar 2016 07:00:00 -0000

ros-kinetic-rosbag-storage (1.11.18-1xenial) xenial; urgency=high

  * fix compiler warnings

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-kinetic-rosbag-storage (1.11.17-1xenial) xenial; urgency=high

  * use boost::make_shared instead of new for constructing boost::shared_ptr (#740 <https://github.com/ros/ros_comm/issues/740>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-kinetic-rosbag-storage (1.11.16-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-kinetic-rosbag-storage (1.11.15-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-kinetic-rosbag-storage (1.11.14-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-kinetic-rosbag-storage (1.11.13-1xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000


