=== debian/control ===
Source: ros-kinetic-rosbag-storage
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libbz2-dev, libconsole-bridge-dev, ros-kinetic-catkin, ros-kinetic-cpp-common (>= 0.3.17), ros-kinetic-roscpp-serialization, ros-kinetic-roscpp-traits (>= 0.3.17), ros-kinetic-roslz4, ros-kinetic-rostime
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rosbag-storage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libbz2-dev, libconsole-bridge-dev, ros-kinetic-cpp-common (>= 0.3.17), ros-kinetic-roscpp-serialization, ros-kinetic-roscpp-traits (>= 0.3.17), ros-kinetic-roslz4, ros-kinetic-rostime
Description: This is a set of tools for recording from and playing back ROS message without relying on the ROS client library.
